AccountLockedException (Java Platform SE 8 )
Keywords: javax.security.auth.login.AccountLockedException class
Date: 2017-07-29

compact1, compact2, compact3
javax.security.auth.login

## Class AccountLockedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.AccountException
          - - javax.security.auth.login.AccountLockedException

- All Implemented Interfaces:
    Serializable

      public class AccountLockedException
      extends AccountException

  Signals that an account was locked.

  This exception may be thrown by a LoginModule if it determines that authentication is being attempted on a locked account.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountLockedException()` Constructs a AccountLockedException with no detail message.
    `AccountLockedException(String msg)` Constructs a AccountLockedException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountLockedException

          public AccountLockedException()

      Constructs a AccountLockedException with no detail message. A detail message is a String that describes this particular exception.

    - #### AccountLockedException

          public AccountLockedException(String msg)

      Constructs a AccountLockedException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.